1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Got 1.50 psp what now?

Discussion in 'Sony PSP - Mod and firmware discussion' started by jaylee1, Jun 30, 2007.

  1. jaylee1

    jaylee1 Member

    Joined:
    Feb 5, 2007
    Messages:
    20
    Likes Received:
    0
    Trophy Points:
    11
    Ok I finally got my hands on a psp and its a 1.50. I've been having a read here and there flicking through the tuts and stuff, but I,m still none the wiser. Do i need to change the fw to run iso's or will the original 1.50 do it. Would I be better off upgrading to a newer version,if so which one, are there any compatability issues?
    I see a lot of tuts about stuff but i could do with one really good one to fill in all the gaps, a total newbies guide to psp lingo would fit the bill anyone got one or know where to find one....?
    Thanks J
     
  2. staxx

    staxx Regular member

    Joined:
    Nov 12, 2006
    Messages:
    817
    Likes Received:
    0
    Trophy Points:
    26
    1.50 can run iso but you need a program called devhook, its a bit of a hassle. I would suggest using the link in my signature to get to 3.03 oe-c, then just reformat your memory stick and drop your iso/cso files in the iso folder.
     
  3. smlvfx

    smlvfx Regular member

    Joined:
    Dec 9, 2006
    Messages:
    1,358
    Likes Received:
    0
    Trophy Points:
    46
    some of the most recent games require a firmware higher that 3.03 and dont work with 3.03 oe-c
     
  4. staxx

    staxx Regular member

    Joined:
    Nov 12, 2006
    Messages:
    817
    Likes Received:
    0
    Trophy Points:
    26
    yup that is true, like he stated some games require a newer firmware so if you want you can look for a 3.40 oe-a easy installer. I believe theres a couple threads on afterdawn with it.
     
  5. jaylee1

    jaylee1 Member

    Joined:
    Feb 5, 2007
    Messages:
    20
    Likes Received:
    0
    Trophy Points:
    11
    Thanks for the quick reply guys, I'll look for the easy 3.40 installer then I have seen some firmware downloads on newsbin and torrents but is it risky to use these as some of the file comments dont recomend using them.
    There is a 3.40 on the dark lex site is this different to the easy version?

    Edit:

    Ok got the 3.40 easy installer but i read that this will take any custom fw to 3.40 but i dont know if mine is oe in the settings it just says 1.50 so do i need to install 3.40 manually???? or can i use the easy installer? or is there an easy installer that i can use first then easy 3.40?

    A lot of questions I know but I like to know what I'm doing b4 i start and thanks for the help...
     
    Last edited: Jun 30, 2007
  6. staxx

    staxx Regular member

    Joined:
    Nov 12, 2006
    Messages:
    817
    Likes Received:
    0
    Trophy Points:
    26
    You are able to use it from 1.50...you have to be careful about which dark alex site you got it from cause there are a few fake sites around that have files that can brick your system.

    Just to be sure your using the proper one, you can find the correct installer here... http://forums.afterdawn.com/thread_view.cfm/500493
     
  7. jaylee1

    jaylee1 Member

    Joined:
    Feb 5, 2007
    Messages:
    20
    Likes Received:
    0
    Trophy Points:
    11
    Thanks for that Staxx that is the one i found at psp hacks so i will give it a go, just to make sure i'm not running a custom fw I am on 1.50 and I can use the easy340 strait on to it?? Yes??
     
  8. shadow270

    shadow270 Guest

    yes..you can,just follow the instuction you get with the easy3.40

     

Share This Page